For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v6.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Merchant

Update Merchant

POST
https://api.ziptax.com/merchant/update
POST
/merchant/update
$curl -X POST https://api.ziptax.com/merchant/update \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "merchantId",
> "update": {
> "contact_email": "contact_email",
> "contact_first": "contact_first",
> "contact_last": "contact_last",
> "merchant_name": "merchant_name",
> "reference_id": "reference_id"
> }
>}'
1{
2 "merchantId": "merchantId",
3 "message": "message",
4 "status": "status"
5}

Updates an existing merchant. The caller must own the merchant. Cross-account modification is blocked.

Was this page helpful?
Previous

Delete Merchant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
merchantIdstringRequired
UUID of the merchant to update
updateobjectRequired
New field values for the merchant

Response

OK
merchantIdstring
UUID of the updated merchant
messagestring

Human-readable result message

statusstring
Operation status

Errors

400
Update Merchant Body Bad Request Error
401
Update Merchant Body Unauthorized Error
403
Update Merchant Body Forbidden Error
404
Update Merchant Body Not Found Error
409
Update Merchant Body Conflict Error
422
Update Merchant Body Unprocessable Entity Error
500
Update Merchant Body Internal Server Error